<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.mediatek.ppl"
    android:sharedUserId="android.uid.system"
    android:versionCode="1"
    android:versionName="1.0" >

    <uses-sdk
        android:minSdkVersion="21"
        android:targetSdkVersion="28" />

    <protected-broadcast android:name="com.mediatek.ppl.UI_NO_SIM" />
    <protected-broadcast android:name="com.mediatek.ppl.UI_QUIT_SETUP_WIZARD" />
    <protected-broadcast android:name="com.mediatek.ppl.NOTIFY_MOUNT_SERVICE_WIPE" />
    <protected-broadcast android:name="com.mediatek.ppl.NOTIFY_WIPE" />
    <protected-broadcast android:name="com.mediatek.ppl.NOTIFY_LOCK" />
    <protected-broadcast android:name="com.mediatek.ppl.NOTIFY_UNLOCK" />
    <protected-broadcast android:name="com.mediatek.ppl.MOUNT_SERVICE_WIPE_RESPONSE" />
    <protected-broadcast android:name="com.mediatek.ppl.SMS_SENT" />

    <uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED" />
    <uses-permission android:name="android.permission.RECEIVE_SMS" />
    <uses-permission android:name="android.permission.SEND_SMS" />
    <uses-permission android:name="android.permission.WRITE_SETTINGS" />
    <uses-permission android:name="android.permission.BROADCAST_STICKY" />
    <uses-permission android:name="android.permission.REBOOT" />
    <uses-permission android:name="android.permission.READ_PHONE_STATE" />
    <uses-permission android:name="android.permission.READ_CONTACTS" />
    <uses-permission android:name="android.permission.GET_TASKS" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.MASTER_CLEAR" />
    <uses-permission android:name="android.permission.INTERACT_ACROSS_USERS" />
    <uses-permission android:name="android.permission.INTERACT_ACROSS_USERS_FULL" />
    <uses-permission android:name="com.mediatek.permission.MOUNT_SERVICE_WIPE" />

    <permission
        android:name="com.mediatek.ppl.permission.ACCESS_PPL_MANAGER"
        android:description="@string/ppl_permission_description"
        android:label="@string/ppl_permission_label"
        android:permissionGroup="android.permission-group.SYSTEM_TOOLS"
        android:protectionLevel="signature" >
    </permission>

    <!-- persistent="true" and singleUser="true" for single instance in multi-user scenario -->
    <!-- remove persistent attribute for singleUser = true is enough -->
    <application
        android:name="PplApplication"
        android:allowBackup="true"
        android:icon="@drawable/ic_launcher"
        android:label="@string/app_name"
        android:theme="@style/AppTheme"
        android:supportsRtl="true"
        android:defaultToDeviceProtectedStorage="true">
        <activity
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:name="com.mediatek.ppl.ui.SetupPasswordActivity"
            android:excludeFromRecents="true"
            android:exported="false"
            android:windowSoftInputMode="adjustResize|stateVisible" >
        </activity>
        <activity
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:name="com.mediatek.ppl.ui.SetupTrustedContactsActivity"
            android:parentActivityName="com.mediatek.ppl.ui.SetupPasswordActivity"
            android:excludeFromRecents="true"
            android:exported="false"
            android:windowSoftInputMode="adjustResize" >
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value="com.mediatek.ppl.ui.SetupPasswordActivity" />
        </activity>
        <activity
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:name="com.mediatek.ppl.ui.SetupManualActivity"
            android:parentActivityName="com.mediatek.ppl.ui.SetupTrustedContactsActivity"
            android:excludeFromRecents="true"
            android:exported="false"
            android:windowSoftInputMode="adjustResize" >
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value="com.mediatek.ppl.ui.SetupTrustedContactsActivity" />
        </activity>
        <activity
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:name="com.mediatek.ppl.ui.LoginPplActivity"
            android:excludeFromRecents="true"
            android:exported="false"
            android:windowSoftInputMode="adjustResize" >
        </activity>
        <activity
            android:configChanges="keyboardHidden|orientation|screenSize|screenLayout"
            android:name="com.mediatek.ppl.ui.ControlPanelActivity"
            android:excludeFromRecents="true"
            android:exported="false"
            android:launchMode="singleTask" >
        </activity>
        <activity
            android:configChanges="keyboardHidden|orientation|screenSize|screenLayout"
            android:name="com.mediatek.ppl.ui.UpdatePasswordActivity"
            android:excludeFromRecents="true"
            android:exported="false"
            android:parentActivityName="com.mediatek.ppl.ui.ControlPanelActivity"
            android:windowSoftInputMode="adjustResize|stateVisible" >
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value="com.mediatek.ppl.ui.ControlPanelActivity" />
        </activity>
        <activity
            android:configChanges="keyboardHidden|orientation|screenSize|screenLayout"
            android:name="com.mediatek.ppl.ui.UpdateTrustedContactsActivity"
            android:windowSoftInputMode="adjustResize"
            android:excludeFromRecents="true"
            android:exported="false"
            android:parentActivityName="com.mediatek.ppl.ui.ControlPanelActivity" >
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value="com.mediatek.ppl.ui.ControlPanelActivity" />
        </activity>
        <activity
            android:configChanges="keyboardHidden|orientation|screenSize|screenLayout"
            android:name="com.mediatek.ppl.ui.ViewManualActivity"
            android:excludeFromRecents="true"
            android:exported="false"
            android:parentActivityName="com.mediatek.ppl.ui.ControlPanelActivity" >
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value="com.mediatek.ppl.ui.ControlPanelActivity" />
        </activity>
        <activity
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:name="com.mediatek.ppl.ui.LaunchPplActivity"
            android:excludeFromRecents="true"
            android:exported="false"
            android:theme="@*android:style/Theme.Translucent.NoTitleBar" >
        </activity>

        <service
            android:name="com.mediatek.ppl.PplService"
            android:permission="com.mediatek.ppl.permission.ACCESS_PPL_MANAGER"
            android:directBootAware="true"
            android:exported="true"
            android:singleUser="true" >
            <intent-filter android:priority="1000" >
                <action android:name="com.mediatek.ppl.service" />
                <action android:name="com.mediatek.ppl.REMOTE_INSTRUCTION_RECEIVED"/>
            </intent-filter>
        </service>

        <receiver
            android:name="com.mediatek.ppl.PplReceiver"
            android:directBootAware="true"
            android:exported="true"
            android:singleUser="true" > <!-- no new process for SIM_STATE_CHANGED in normal user-->
            <intent-filter android:priority="1000" >
                <action android:name="android.intent.action.BOOT_COMPLETED" />
                <action android:name="android.intent.action.SIM_STATE_CHANGED" />
            </intent-filter>
        </receiver>

    </application>

</manifest>
